## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 30;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           festival-freebsoft-utils
Version:        0.10
Release:        %autorelease
Summary:        Utilities that enhance Festival with some useful features

BuildArch:      noarch

# Note that the documentation is dual-licensed; see the License field for the
# -doc subpackage.
License:        GPL-2.0-or-later
URL:            https://www.freebsoft.org/festival-freebsoft-utils
Source0:        https://freebsoft.org/pub/projects/%{name}/%{name}-%{version}.tar.gz

# Fix a section level error in fdl.texi
# https://github.com/brailcom/festival-freebsoft-utils/pull/1
Patch:          https://github.com/brailcom/festival-freebsoft-utils/pull/1.patch

Requires:       festival
# From docs/festival-freebsoft-utils.texi:
#   Having SoX (@url{http://sox.sourceforge.net}) installed is strongly
#   recommended, many festival-freebsoft-utils functions don't work without it.
Recommends:     sox
# From docs/festival-freebsoft-utils.texi:
#   As Festival does not support UTF-8 encoding, festival-freebsoft-utils uses
#   the iconv utility for character coding conversions.
# Note that this is currently provided by glibc-common, so it should be
# available even without the explicit dependency.
Recommends:     /usr/bin/iconv

%description
A collection of utilities that enhance Festival with some useful features. They
provide all that is needed for interaction with Speech Dispatcher.

Key festival-freebsoft-utils features are:

• Generalized concept of input events. festival-freebsoft-utils allows not only
  plain text synthesis, but also combining it with sounds. Additionally,
  mechanism of logical events mapped to other events is provided.
• Substitution of events for given words.
• High-level voice selection mechanism and setting of basic prosodic parameters.
• Spelling mode.
• Capital letter signalization.
• Punctuation modes, for explicit reading or not reading punctuation characters.
• Incremental synthesis of texts and events.
• Speech Dispatcher support.
• Rudimentary SSML support.
• Enhance the Festival extension language with functions commonly used in Lisp.
• Support for wrapping already defined Festival functions by your own code.
• Everything is written in the extension language, no patching of the Festival
  C++ sources is needed.


%package doc
Summary:        Documentation for festival-freebsoft-utils

License:        GPL-2.0-or-later OR GFDL-1.2-no-invariants-or-later

BuildRequires:  make
BuildRequires:  texinfo-tex
BuildRequires:  tex(latex)

%description doc
Documentation for festival-freebsoft-utils in info, PDF, and HTML formats.


%prep
%autosetup -p1


%build
# Remove pre-built info page
%make_build clean
# Build info, PDF, and HTML docs from the texinfo sources.
%make_build info pdf html


%install
install -t '%{buildroot}/%{_datadir}/festival' -D -p -m 0644 *.scm
install -t '%{buildroot}/%{_infodir}' -D -p -m 0644 doc/*.info
install -t '%{buildroot}/%{_pkgdocdir}' -D -p -m 0644 \
    doc/*.pdf doc/*.html ANNOUNCE NEWS README


%files
%license COPYING
%{_datadir}/festival/*.scm


%files doc
%license COPYING
%doc %{_pkgdocdir}/ANNOUNCE
%doc %{_pkgdocdir}/NEWS
%doc %{_pkgdocdir}/README

%doc %{_pkgdocdir}/festival-freebsoft-utils.pdf
%doc %{_pkgdocdir}/festival-freebsoft-utils.html

%doc %{_infodir}/festival-freebsoft-utils.info*


%changelog
* Mon Aug 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.10-30
- Update License field to SPDX
- Additionally, correct the License field for the -doc subpackage to
  reflect its dual license.

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.10-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Apr 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.10-28
- Stop numbering patches

* Wed Apr 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.10-27
- Install to /usr/share/festival (fix RHBZ#2017994)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.10-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.10-21
- General spec file cleanup and modernization
- Weaken sox dependency and add a weak dependency on iconv
- Drop unnecessary BR on festival
- Add a -doc package with info, PDF, and HTML documentation

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep  1 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10-5
- Update URLs and modernise spec

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 30 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.10-1
- Initial packaging

